{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  hatch-vcs,
  hatchling,
  requests,
  typing-extensions,
}:

buildPythonPackage rec {
  pname = "stashapi";
  version = "0.1.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "stg-annon";
    repo = "stashapi";
    rev = "v${version}";
    hash = "sha256-zwDkT8Y6iftq/OxrBzIBvyJ3po4Pfna4xyRKu5KtJco=";
  };

  build-system = [
    hatch-vcs
    hatchling
  ];

  dependencies = [
    requests
    typing-extensions
  ];

  pythonImportsCheck = [
    "stashapi"
  ];

  meta = {
    description = "Api wrapper";
    homepage = "https://github.com/stg-annon/stashapi";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
  };
}
